﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Bob's Auto Parts - Order Results</title>
<link rel="stylesheet" href="style.css" type="text/css" media="all" />
</head>
<body>
<div id="centeredcontent">
<h1>Bob's Auto Parts - Order Results</h1>
<?php
  $tireqty = $_REQUEST['tireqty'];
  $oilqty = $_REQUEST['oilqty'];
  $sparkqty = $_REQUEST['sparkqty'];
  $find = $_REQUEST['find'];
  echo '<h2>Order processed '.date('F j, Y \a\t g:i a').'</h2>';
  
  if ((is_numeric($tireqty) || $tireqty == NULL) && 
  	(is_numeric($oilqty) || $oilqty == NULL) && 
  	(is_numeric($sparkqty) || $sparkqty == NULL))
  {
      if ($tireqty >= 0 && $tireqty < 50 && $oilqty >= 0 && $oilqty < 100 &&
        $sparkqty >= 0 && $sparkqty < 200)
      {
      	  $totalqty = 0;
		  $totalqty = $tireqty + $oilqty + $sparkqty;

          if ($totalqty > 0)
          {
			  echo '<h3>Your Order Details: </h3>';
			  echo '<ul>';
			  if (is_numeric($tireqty) && $tireqty > 0)
			  	echo '<li>'.$tireqty.' tires</li>';
			  if (is_numeric($oilqty) && $oilqty > 0)
				  echo '<li>'.$oilqty.' bottles of oil</li>';
			  if (is_numeric($sparkqty) && $sparkqty > 0)
				  echo '<li>'.$sparkqty.' spark plugs</li>';
			
        echo '</ul>';
			  $totalamount = 0.00;
			  
        echo '<h3>Order Summary: </h3>';
        
        echo '<table>';
        
			
			  echo '<tr><td class="itemrow">Items ordered: </td><td>'.$totalqty.'</td></tr>';
			
			  $totalamount = 0.00;
			
			  define('TIREPRICE', 100);
			  define('OILPRICE', 10);
			  define('SPARKPRICE', 4);
			
			  $totalamount = $tireqty * TIREPRICE
			               + $oilqty * OILPRICE
			               + $sparkqty * SPARKPRICE;
			
			  echo '<tr><td class="itemrow">Subtotal: </td><td>$'.number_format($totalamount,2).'</td></tr>';
			
			  $taxrate = 0.10;  // local sales tax is 10%
			  $totalamount = $totalamount * (1 + $taxrate);
			  echo '<tr class="finalcost"><td class="itemrow">Total including tax: </td><td>$'.number_format($totalamount,2).'</td></tr>';
			  echo '</table>';
		  }
		  else
		  {
 	          echo '<p class="error">';
 	          echo '<img class="centerimage" src="error.png">';;
	          echo 'You did not order anything.  Please hit ';
	          echo 'the back button and try again.';
	          echo '</p>'; 
 		  }
	  }
	  else
	  {
	    
	    echo '<p class="error">';
	    echo '<img class="centerimage" src="error.png">';
	    echo 'You are either ordering a larger amount than we allow on the Web ';
	    echo 'or you entered a negative value.';
	    echo 'Please call 806-888-8888 to order more than 49 tires, ';
	    echo '99 quarts of oil, or 199 spark plugs.';
	    echo 'We want to be sure when and how we can fill large orders ';
	    echo 'and provide the best customer service possible.';
	    echo '</p>';
	  }
  }
  else
  {
 	    echo '<p class="error">';
 	    echo '<img class="centerimage" src="error.png">';
	    echo 'One of your entries is not a valid number.  Please hit ';
	    echo 'the back button and try again.';
	    echo '</p>'; 
  }
  echo '<h3>How Customer found us?</h3>';
  echo '<div id="howfoundus">';
  switch ($find)
  {
    case "a":
      echo '<p>Customer is a regular customer.</p>';
      break;
    case "b":
      echo '<p>Customer was referred by TV advert.</p>';
      break;
    case "c":
      echo '<p>Customer was referred by phone directory.</p>';
      break;
    case "d":
      echo '<p>Customer was referred by word of mouth.</p>';
      break;
    default:
      echo '<p>We do not know how this customer found us.</p>';
      break;
  }
  echo '<div>';

?>
</div>
</body>
</html>

